Skip to main content

Pod

createNamespacedPod

V1Pod createNamespacedPod(body)

create a Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiCreateNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiCreateNamespacedPodRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { apiVersion: "v1", kind: "Pod", metadata: { name: "example" }, spec: { containers: [{ name: "app", image: "nginx" }] } }, // See full type: /models/core#v1pod,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.createNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Pod
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Pod

createNamespacedPodBinding

V1Binding createNamespacedPodBinding(body)

create binding of a Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiCreateNamespacedPodBindingRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiCreateNamespacedPodBindingRequest = {
// name of the Binding
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See V1Binding: /models/core#v1binding */ },
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered. (optional)
fieldValidation: "fieldValidation_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.createNamespacedPodBinding(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Binding
name[string]name of the Bindingdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Binding

createNamespacedPodEviction

V1Eviction createNamespacedPodEviction(body)

create eviction of a Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiCreateNamespacedPodEvictionRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiCreateNamespacedPodEvictionRequest = {
// name of the Eviction
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See V1Eviction: /models/other#v1eviction */ },
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered. (optional)
fieldValidation: "fieldValidation_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.createNamespacedPodEviction(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Eviction
name[string]name of the Evictiondefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Eviction

readNamespacedPod

V1Pod readNamespacedPod()

read the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespacedPodRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Pod

listNamespacedPod

V1PodList listNamespacedPod()

list or watch objects of kind Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiListNamespacedPodRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// ...8 more optional parameter(s)
};

const data = await apiInstance.listNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
allowWatchBookmarks[boolean]allowWatchBookmarks requests watch events with type "BOOKMARK". More info(optional) defaults to undefined
_continue[string]The continue option should be set when retrieving more results from the server. More info(optional) defaults to undefined
fieldSelector[string]A selector to restrict the list of returned objects by their fields. Defaults to everything. More info(optional) defaults to undefined
labelSelector[string]A selector to restrict the list of returned objects by their labels. Defaults to everything. More info(optional) defaults to undefined
limit[number]limit is a maximum number of responses to return for a list call. More info(optional) defaults to undefined
resourceVersion[string]resourceVersion sets a constraint on what resource versions a request may be served from. More info(optional) defaults to undefined
resourceVersionMatch[string]resourceVersionMatch determines how resourceVersion is applied to list calls. More info(optional) defaults to undefined
sendInitialEvents[boolean]sendInitialEvents=true may be set together with watch=true. More info(optional) defaults to undefined
timeoutSeconds[number]Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info(optional) defaults to undefined
watch[boolean]Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info(optional) defaults to undefined

Return type

V1PodList

readNamespacedPodEphemeralcontainers

V1Pod readNamespacedPodEphemeralcontainers()

read ephemeralcontainers of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPodEphemeralcontainersRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespacedPodEphemeralcontainersRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespacedPodEphemeralcontainers(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Pod

readNamespacedPodLog

string readNamespacedPodLog()

read log of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPodLogRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespacedPodLogRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// The container for which to stream logs. Defaults to only container if there is one container in the pod. (optional)
container: "container_example",
// Follow the log stream of the pod. Defaults to false. (optional)
follow: true,
// insecureSkipTLSVerifyBackend indicates that the apiserver should not confirm the validity of the serving certificate of the backend it is connecting to. This will make the HTTPS connection between the apiserver and the backend insecure. This means the apiserver cannot verify the log data it is receiving came from the real kubelet. If the kubelet is configured to verify the apiserver\'s TLS credentials, it does not mean the connection to the real kubelet is vulnerable to a man in the middle attack (e.g. an attacker could not intercept the actual log data coming from the real kubelet). (optional)
insecureSkipTLSVerifyBackend: true,
// ...7 more optional parameter(s)
};

const data = await apiInstance.readNamespacedPodLog(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
container[string]The container for which to stream logs. Defaults to only container if there is one container in the pod.(optional) defaults to undefined
follow[boolean]Follow the log stream of the pod. Defaults to false.(optional) defaults to undefined
insecureSkipTLSVerifyBackend[boolean]insecureSkipTLSVerifyBackend indicates that the apiserver should not confirm the validity of the serving certificate of ...(optional) defaults to undefined
limitBytes[number]If set, the number of bytes to read from the server before terminating the log output.(optional) defaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
previous[boolean]Return previous terminated container logs. Defaults to false.(optional) defaults to undefined
sinceSeconds[number]A relative time in seconds before the current time from which to show logs.(optional) defaults to undefined
stream[string]Specify which container log stream to return to the client.(optional) defaults to undefined
tailLines[number]If set, the number of lines from the end of the logs to show.(optional) defaults to undefined
timestamps[boolean]If true, add an RFC3339 or RFC3339Nano timestamp at the beginning of every line of log output. Defaults to false.(optional) defaults to undefined

Return type

string

readNamespacedPodResize

V1Pod readNamespacedPodResize()

read resize of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPodResizeRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespacedPodResizeRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespacedPodResize(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Pod

readNamespacedPodStatus

V1Pod readNamespacedPodStatus()

read status of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadNamespacedPodStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReadNamespacedPodStatusRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};

const data = await apiInstance.readNamespacedPodStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined

Return type

V1Pod

listPodForAllNamespaces

V1PodList listPodForAllNamespaces()

list or watch objects of kind Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListPodForAllNamespacesRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiListPodForAllNamespacesRequest = {
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// A selector to restrict the list of returned objects by their fields. Defaults to everything. (optional)
fieldSelector: "fieldSelector_example",
// ...8 more optional parameter(s)
};

const data = await apiInstance.listPodForAllNamespaces(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
allowWatchBookmarks[boolean]allowWatchBookmarks requests watch events with type "BOOKMARK". More info(optional) defaults to undefined
_continue[string]The continue option should be set when retrieving more results from the server. More info(optional) defaults to undefined
fieldSelector[string]A selector to restrict the list of returned objects by their fields. Defaults to everything. More info(optional) defaults to undefined
labelSelector[string]A selector to restrict the list of returned objects by their labels. Defaults to everything. More info(optional) defaults to undefined
limit[number]limit is a maximum number of responses to return for a list call. More info(optional) defaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
resourceVersion[string]resourceVersion sets a constraint on what resource versions a request may be served from. More info(optional) defaults to undefined
resourceVersionMatch[string]resourceVersionMatch determines how resourceVersion is applied to list calls. More info(optional) defaults to undefined
sendInitialEvents[boolean]sendInitialEvents=true may be set together with watch=true. More info(optional) defaults to undefined
timeoutSeconds[number]Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info(optional) defaults to undefined
watch[boolean]Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info(optional) defaults to undefined

Return type

V1PodList

patchNamespacedPod

V1Pod patchNamespacedPod(body)

partially update the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespacedPodRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Pod

patchNamespacedPodEphemeralcontainers

V1Pod patchNamespacedPodEphemeralcontainers(body)

partially update ephemeralcontainers of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPodEphemeralcontainersRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespacedPodEphemeralcontainersRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespacedPodEphemeralcontainers(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Pod

patchNamespacedPodResize

V1Pod patchNamespacedPodResize(body)

partially update resize of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPodResizeRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespacedPodResizeRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespacedPodResize(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Pod

patchNamespacedPodStatus

V1Pod patchNamespacedPodStatus(body)

partially update status of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiPatchNamespacedPodStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiPatchNamespacedPodStatusRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { /* See type definition in parameter table */ },
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. This field is required for apply requests (application/apply-patch) but optional for non-apply patch types (JsonPatch, MergePatch, StrategicMergePatch). (optional)
fieldManager: "fieldManager_example",
// ...2 more optional parameter(s)
};

const data = await apiInstance.patchNamespacedPodStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyany
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined
force[boolean]Force is going to "force" Apply requests. More info(optional) defaults to undefined

Return type

V1Pod

replaceNamespacedPod

V1Pod replaceNamespacedPod(body)

replace the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespacedPodRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { apiVersion: "v1", kind: "Pod", metadata: { name: "example" }, spec: { containers: [{ name: "app", image: "nginx" }] } }, // See full type: /models/core#v1pod,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Pod
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Pod

deleteCollectionNamespacedPod

V1Status deleteCollectionNamespacedPod()

delete collection of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiDeleteCollectionNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiDeleteCollectionNamespacedPodRequest = {
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
body: { /* See V1DeleteOptions: /models/other#v1deleteoptions */ },
// ...11 more optional parameter(s)
};

const data = await apiInstance.deleteCollectionNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1DeleteOptions
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
_continue[string]The continue option should be set when retrieving more results from the server. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldSelector[string]A selector to restrict the list of returned objects by their fields. Defaults to everything. More info(optional) defaults to undefined
gracePeriodSeconds[number]The duration in seconds before the object should be deleted. More info(optional) defaults to undefined
ignoreStoreReadErrorWithClusterBreakingPotential[boolean]if set to true, it will trigger an unsafe deletion of the resource in case the normal deletion flow fails with a corrupt object error. More info(optional) defaults to undefined
labelSelector[string]A selector to restrict the list of returned objects by their labels. Defaults to everything. More info(optional) defaults to undefined
limit[number]limit is a maximum number of responses to return for a list call. More info(optional) defaults to undefined
orphanDependents[boolean]Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. More info(optional) defaults to undefined
propagationPolicy[string]Whether and how garbage collection will be performed. More info(optional) defaults to undefined
resourceVersion[string]resourceVersion sets a constraint on what resource versions a request may be served from. More info(optional) defaults to undefined
resourceVersionMatch[string]resourceVersionMatch determines how resourceVersion is applied to list calls. More info(optional) defaults to undefined
sendInitialEvents[boolean]sendInitialEvents=true may be set together with watch=true. More info(optional) defaults to undefined
timeoutSeconds[number]Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info(optional) defaults to undefined

Return type

V1Status

deleteNamespacedPod

V1Pod deleteNamespacedPod()

delete a Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiDeleteNamespacedPodRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiDeleteNamespacedPodRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. (optional)
gracePeriodSeconds: 1,
body: { /* See V1DeleteOptions: /models/other#v1deleteoptions */ },
// ...3 more optional parameter(s)
};

const data = await apiInstance.deleteNamespacedPod(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1DeleteOptions
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
gracePeriodSeconds[number]The duration in seconds before the object should be deleted. More info(optional) defaults to undefined
ignoreStoreReadErrorWithClusterBreakingPotential[boolean]if set to true, it will trigger an unsafe deletion of the resource in case the normal deletion flow fails with a corrupt object error. More info(optional) defaults to undefined
orphanDependents[boolean]Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. More info(optional) defaults to undefined
propagationPolicy[string]Whether and how garbage collection will be performed. More info(optional) defaults to undefined

Return type

V1Pod

replaceNamespacedPodEphemeralcontainers

V1Pod replaceNamespacedPodEphemeralcontainers(body)

replace ephemeralcontainers of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPodEphemeralcontainersRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespacedPodEphemeralcontainersRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { apiVersion: "v1", kind: "Pod", metadata: { name: "example" }, spec: { containers: [{ name: "app", image: "nginx" }] } }, // See full type: /models/core#v1pod,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespacedPodEphemeralcontainers(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Pod
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Pod

replaceNamespacedPodResize

V1Pod replaceNamespacedPodResize(body)

replace resize of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPodResizeRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespacedPodResizeRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { apiVersion: "v1", kind: "Pod", metadata: { name: "example" }, spec: { containers: [{ name: "app", image: "nginx" }] } }, // See full type: /models/core#v1pod,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespacedPodResize(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Pod
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Pod

replaceNamespacedPodStatus

V1Pod replaceNamespacedPodStatus(body)

replace status of the specified Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReplaceNamespacedPodStatusRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiReplaceNamespacedPodStatusRequest = {
// name of the Pod
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
body: { apiVersion: "v1", kind: "Pod", metadata: { name: "example" }, spec: { containers: [{ name: "app", image: "nginx" }] } }, // See full type: /models/core#v1pod,
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
// When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed (optional)
dryRun: "dryRun_example",
// fieldManager is a name associated with the actor or entity that is making these changes. The value must be less than or 128 characters long, and only contain printable characters, as defined by https://golang.org/pkg/unicode/#IsPrint. (optional)
fieldManager: "fieldManager_example",
// ...1 more optional parameter(s)
};

const data = await apiInstance.replaceNamespacedPodStatus(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
bodyV1Pod
name[string]name of the Poddefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
pretty[string]If 'true', then the output is pretty printed. More info(optional) defaults to undefined
dryRun[string]When present, indicates that modifications should not be persisted. More info(optional) defaults to undefined
fieldManager[string]fieldManager is a name associated with the actor or entity that is making these changes. More info(optional) defaults to undefined
fieldValidation[string]fieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. More info(optional) defaults to undefined

Return type

V1Pod

connectDeleteNamespacedPodProxy

string connectDeleteNamespacedPodProxy()

connect DELETE requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectDeleteNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectDeleteNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectDeleteNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectDeleteNamespacedPodProxyWithPath

string connectDeleteNamespacedPodProxyWithPath()

connect DELETE requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectDeleteNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectDeleteNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectDeleteNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectGetNamespacedPodAttach

string connectGetNamespacedPodAttach()

connect GET requests to attach of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectGetNamespacedPodAttachRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectGetNamespacedPodAttachRequest = {
// name of the PodAttachOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// The container in which to execute the command. Defaults to only container if there is only one container in the pod. (optional)
container: "container_example",
// Stderr if true indicates that stderr is to be redirected for the attach call. Defaults to true. (optional)
stderr: true,
// Stdin if true, redirects the standard input stream of the pod for this call. Defaults to false. (optional)
stdin: true,
// ...2 more optional parameter(s)
};

const data = await apiInstance.connectGetNamespacedPodAttach(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodAttachOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
container[string]The container in which to execute the command. Defaults to only container if there is only one container in the pod.(optional) defaults to undefined
stderr[boolean]Stderr if true indicates that stderr is to be redirected for the attach call. Defaults to true.(optional) defaults to undefined
stdin[boolean]Stdin if true, redirects the standard input stream of the pod for this call. Defaults to false.(optional) defaults to undefined
stdout[boolean]Stdout if true indicates that stdout is to be redirected for the attach call. Defaults to true.(optional) defaults to undefined
tty[boolean]TTY if true indicates that a tty will be allocated for the attach call.(optional) defaults to undefined

Return type

string

connectGetNamespacedPodExec

string connectGetNamespacedPodExec()

connect GET requests to exec of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectGetNamespacedPodExecRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectGetNamespacedPodExecRequest = {
// name of the PodExecOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Command is the remote command to execute. argv array. Not executed within a shell. (optional)
command: "command_example",
// Container in which to execute the command. Defaults to only container if there is only one container in the pod. (optional)
container: "container_example",
// Redirect the standard error stream of the pod for this call. (optional)
stderr: true,
// ...3 more optional parameter(s)
};

const data = await apiInstance.connectGetNamespacedPodExec(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodExecOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
command[string]Command is the remote command to execute. argv array. Not executed within a shell.(optional) defaults to undefined
container[string]Container in which to execute the command. Defaults to only container if there is only one container in the pod.(optional) defaults to undefined
stderr[boolean]Redirect the standard error stream of the pod for this call.(optional) defaults to undefined
stdin[boolean]Redirect the standard input stream of the pod for this call. Defaults to false.(optional) defaults to undefined
stdout[boolean]Redirect the standard output stream of the pod for this call.(optional) defaults to undefined
tty[boolean]TTY if true indicates that a tty will be allocated for the exec call. Defaults to false.(optional) defaults to undefined

Return type

string

connectGetNamespacedPodPortforward

string connectGetNamespacedPodPortforward()

connect GET requests to portforward of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectGetNamespacedPodPortforwardRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectGetNamespacedPodPortforwardRequest = {
// name of the PodPortForwardOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// List of ports to forward Required when using WebSockets (optional)
ports: 1,
};

const data = await apiInstance.connectGetNamespacedPodPortforward(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodPortForwardOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
ports[number]List of ports to forward Required when using WebSockets(optional) defaults to undefined

Return type

string

connectGetNamespacedPodProxy

string connectGetNamespacedPodProxy()

connect GET requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectGetNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectGetNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectGetNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectGetNamespacedPodProxyWithPath

string connectGetNamespacedPodProxyWithPath()

connect GET requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectGetNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectGetNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectGetNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectHeadNamespacedPodProxy

string connectHeadNamespacedPodProxy()

connect HEAD requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectHeadNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectHeadNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectHeadNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectHeadNamespacedPodProxyWithPath

string connectHeadNamespacedPodProxyWithPath()

connect HEAD requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectHeadNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectHeadNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectHeadNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectOptionsNamespacedPodProxy

string connectOptionsNamespacedPodProxy()

connect OPTIONS requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectOptionsNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectOptionsNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectOptionsNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectOptionsNamespacedPodProxyWithPath

string connectOptionsNamespacedPodProxyWithPath()

connect OPTIONS requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectOptionsNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectOptionsNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectOptionsNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPatchNamespacedPodProxy

string connectPatchNamespacedPodProxy()

connect PATCH requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPatchNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPatchNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectPatchNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPatchNamespacedPodProxyWithPath

string connectPatchNamespacedPodProxyWithPath()

connect PATCH requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPatchNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPatchNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectPatchNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPostNamespacedPodAttach

string connectPostNamespacedPodAttach()

connect POST requests to attach of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPostNamespacedPodAttachRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPostNamespacedPodAttachRequest = {
// name of the PodAttachOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// The container in which to execute the command. Defaults to only container if there is only one container in the pod. (optional)
container: "container_example",
// Stderr if true indicates that stderr is to be redirected for the attach call. Defaults to true. (optional)
stderr: true,
// Stdin if true, redirects the standard input stream of the pod for this call. Defaults to false. (optional)
stdin: true,
// ...2 more optional parameter(s)
};

const data = await apiInstance.connectPostNamespacedPodAttach(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodAttachOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
container[string]The container in which to execute the command. Defaults to only container if there is only one container in the pod.(optional) defaults to undefined
stderr[boolean]Stderr if true indicates that stderr is to be redirected for the attach call. Defaults to true.(optional) defaults to undefined
stdin[boolean]Stdin if true, redirects the standard input stream of the pod for this call. Defaults to false.(optional) defaults to undefined
stdout[boolean]Stdout if true indicates that stdout is to be redirected for the attach call. Defaults to true.(optional) defaults to undefined
tty[boolean]TTY if true indicates that a tty will be allocated for the attach call.(optional) defaults to undefined

Return type

string

connectPostNamespacedPodExec

string connectPostNamespacedPodExec()

connect POST requests to exec of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPostNamespacedPodExecRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPostNamespacedPodExecRequest = {
// name of the PodExecOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Command is the remote command to execute. argv array. Not executed within a shell. (optional)
command: "command_example",
// Container in which to execute the command. Defaults to only container if there is only one container in the pod. (optional)
container: "container_example",
// Redirect the standard error stream of the pod for this call. (optional)
stderr: true,
// ...3 more optional parameter(s)
};

const data = await apiInstance.connectPostNamespacedPodExec(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodExecOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
command[string]Command is the remote command to execute. argv array. Not executed within a shell.(optional) defaults to undefined
container[string]Container in which to execute the command. Defaults to only container if there is only one container in the pod.(optional) defaults to undefined
stderr[boolean]Redirect the standard error stream of the pod for this call.(optional) defaults to undefined
stdin[boolean]Redirect the standard input stream of the pod for this call. Defaults to false.(optional) defaults to undefined
stdout[boolean]Redirect the standard output stream of the pod for this call.(optional) defaults to undefined
tty[boolean]TTY if true indicates that a tty will be allocated for the exec call. Defaults to false.(optional) defaults to undefined

Return type

string

connectPostNamespacedPodPortforward

string connectPostNamespacedPodPortforward()

connect POST requests to portforward of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPostNamespacedPodPortforwardRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPostNamespacedPodPortforwardRequest = {
// name of the PodPortForwardOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// List of ports to forward Required when using WebSockets (optional)
ports: 1,
};

const data = await apiInstance.connectPostNamespacedPodPortforward(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodPortForwardOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
ports[number]List of ports to forward Required when using WebSockets(optional) defaults to undefined

Return type

string

connectPostNamespacedPodProxy

string connectPostNamespacedPodProxy()

connect POST requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPostNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPostNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectPostNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPostNamespacedPodProxyWithPath

string connectPostNamespacedPodProxyWithPath()

connect POST requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPostNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPostNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectPostNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPutNamespacedPodProxy

string connectPutNamespacedPodProxy()

connect PUT requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPutNamespacedPodProxyRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPutNamespacedPodProxyRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path: "path_example",
};

const data = await apiInstance.connectPutNamespacedPodProxy(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string

connectPutNamespacedPodProxyWithPath

string connectPutNamespacedPodProxyWithPath()

connect PUT requests to proxy of Pod

Example

import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiConnectPutNamespacedPodProxyWithPathRequest } from '@kubernetes/client-node';

const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);

const request: CoreV1ApiConnectPutNamespacedPodProxyWithPathRequest = {
// name of the PodProxyOptions
name: "name_example",
// object name and auth scope, such as for teams and projects
namespace: "namespace_example",
// path to the resource
path: "path_example",
// Path is the URL path to use for the current proxy request to pod. (optional)
path2: "path_example",
};

const data = await apiInstance.connectPutNamespacedPodProxyWithPath(request);
console.log('API called successfully. Returned data:', data);

Parameters

NameTypeDescriptionNotes
name[string]name of the PodProxyOptionsdefaults to undefined
namespace[string]object name and auth scope, such as for teams and projectsdefaults to undefined
path[string]path to the resourcedefaults to undefined
path2[string]Path is the URL path to use for the current proxy request to pod.(optional) defaults to undefined

Return type

string